# $Revision: 1.63 $, $Date: 2008/08/06 11:37:58 $
#
# Conditional build:
%bcond_with	tests	# perform "make test"
			# tests require access to a working MySQL
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	DBD
%define		pnam	mysql
Summary:	A MySQL interface for Perl
Summary(cs.UTF-8):	MySQL rozhraní pro Perl
Summary(da.UTF-8):	En MySQL-grænseflade for Perl
Summary(de.UTF-8):	Ein MySQL Interface für Perl
Summary(es.UTF-8):	Interfaz MySQL para Perl
Summary(fr.UTF-8):	Interface MySQL pour Perl
Summary(it.UTF-8):	Interfaccia MySQL per Perl
Summary(ja.UTF-8):	Perl の MySQL インターフェイス
Summary(ko.UTF-8):	펄을 위한 MySQL 인터페이스
Summary(nb.UTF-8):	Et MySQL-grensesnitt for Perl
Summary(pl.UTF-8):	DBD::mysql - perlowy interfejs do MySQL-a
Summary(pt.UTF-8):	Uma interface de Perl para o MySQL
Summary(pt_BR.UTF-8):	Uma interface de Perl para o MySQL
Summary(ru.UTF-8):	Интерфейс MySQL для Perl
Summary(sv.UTF-8):	Ett gränssnitt till MySQL för Perl
Summary(uk.UTF-8):	Perl-інтерфейс до MySQL
Summary(zh_CN.UTF-8):	Perl 的 MySQL 界面。
Name:		perl-DBD-mysql
Version:	4.007
Release:	1
# NOTE: libmysqlclient infects everything that links against it with GPL
License:	GPL (Perl code also Artistic)
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	67a4d921acda942aeb0e65a0023f2098
URL:		http://search.cpan.org/dist/DBD-mysql/
BuildRequires:	mysql-devel >= 5.0.27
BuildRequires:	perl-DBI >= 1.13
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Obsoletes:	perl-DBD-MySQL
Obsoletes:	perl-DBD-Mysql
Obsoletes:	perl-Msql-Mysql-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
M(y)sql.pm and DBD::mSQL(mysql) implement two different approaches to
communicate with an mSQL or MySQL server. DBD::mSQL(mysql) is built
upon the DBI, the generic Perl Database Interface. It brings you an
identical interface to a broad variety of databases and is in this
regard comparable to ODBC. The advantage of the DBI approach is
portability and interoperability. M(y)sql.pm are the elder species.
They were written before DBI was available but inspired by an early
draft of the DBI specification. As they have been circulating longer
they are more mature and pretty stable. They're also more complete
than DBD::mSQL and DBD::mysql.

%description -l cs.UTF-8
Implementace DBI pro MySQL do Perlu.

%description -l da.UTF-8
En implementation af DBI for MySQL.

%description -l de.UTF-8
Eine Implementierung von DBI für MySQL.

%description -l es.UTF-8
Implementación del DBI para MySQL.

%description -l fr.UTF-8
Mise en oeuvre de DBI pour MySQL.

%description -l it.UTF-8
Implementazione di DBI per MySQL.

%description -l ja.UTF-8
MySQL 用 DBI 実装

%description -l ko.UTF-8
MySQL을 위한 DBI의 실현.

%description -l nb.UTF-8
En implementasjon av DBI for MySQL.

%description -l pl.UTF-8
Sterownik pozwalający na dostęp do baz MySQL z poziomu Perla.

%description -l pt.UTF-8
Uma implementação de DBI para o MySQL.

%description -l pt_BR.UTF-8
Uma implementação de DBI para o MySQL.

%description -l ru.UTF-8
M(y)sql.pm и DBD::mSQL(mysql) реализуют два разных подхода к общению с
сервером mSQL или MySQL. DBD::mSQL(mysql) построен на базе DBI,
стандартного Perl-интерфейса к базам данных. Он предоставляет
единообразный интерфейс к самым разнообразным базам данных и сравним в
этом отношении с ODBC. Преимуществами подхода DBI является легкая
портируемость и взаимодйествие. M(y)sql.pm - это более старые особи.
Они были написаны до того, как стал доступным DBI, но основываются на
ранних черновиках спецификации DBI. Так как они используются дольше,
они более отлажены и стабильны. Также они более завершенные, чем
DBD::mSQL и DBD::mysql.

%description -l sv.UTF-8
En implementation av DBI för MySQL.

%description -l uk.UTF-8
M(y)sql.pm та DBD::mSQL(mysql) реалізують два різних підходи до
спілкування з сервером mSQL або MySQL. DBD::mSQL(mysql) побудовано на
базі DBI, стандартного інтерфейсу Perl до баз даних. Він надає
ідентичний інтерфейс до самих різноманітних баз даних і може бути
порівняний в цьому відношенні з ODBC. Перевагами підходу DBI є легка
переносимість та взаємодія. M(y)sql.pm - це більш старі програми. Вони
були написані до того, як з'явився DBI, але базуються на ранніх
проектах спецификації DBI. Виходячи з того, що вони використовуються
довше, вони більш відлагоджені та стабільні. Також вони більш
завершені, ніж DBD::mSQL та DBD::mysql.

%description -l zh_CN.UTF-8
一种 MySQL 的 DBI 实施措施。

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
# we don't need no bundles
rm -rf lib/Bundle

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%{?perl_install_postclean}
rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/%{pdir}/%{pnam}/INSTALL.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README TODO
%{perl_vendorarch}/DBD/mysql.pm
%dir %{perl_vendorarch}/DBD/mysql
%{perl_vendorarch}/DBD/mysql/GetInfo.pm
%dir %{perl_vendorarch}/auto/DBD/mysql
%{perl_vendorarch}/auto/DBD/mysql/mysql.bs
%attr(755,root,root) %{perl_vendorarch}/auto/DBD/mysql/mysql.so
%{_mandir}/man3/[DM]*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-DBD-mysql.spec,v $
Revision 1.63  2008/08/06 11:37:58  radek
- version 4.007

Revision 1.62  2008-03-02 16:44:06  radek
- version 4.006

Revision 1.61  2008-02-08 13:37:07  arekm
- rel 3

Revision 1.60  2008-01-10 08:38:36  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.59  2007-11-18 13:32:27  arekm
- rel 2

Revision 1.58  2007-09-11 07:29:56  arekm
- up to 4.005

Revision 1.57  2007/03/06 15:14:34  glen
- 4.003

Revision 1.56  2007/02/13 07:16:54  glen
- tabs in preamble

Revision 1.55  2007/02/12 00:49:28  baggins
- converted to UTF-8

Revision 1.54  2007/01/09 12:51:41  glen
- 4.001, Msql / Mysql modules have been dropped

Revision 1.53  2006/10/30 19:20:34  glen
- rel 3 (rebuild with mysql 5.0.27)

Revision 1.52  2006/10/20 15:14:58  glen
- rel 2 (mysql ABI broken again; rebuild)

Revision 1.51  2006/10/19 09:26:11  glen
- 3.0008

Revision 1.50  2006/06/11 21:07:18  glen
- 3.0006

Revision 1.49  2006/05/22 15:09:00  blaass
- up to 3.0004

Revision 1.48  2006/03/27 12:41:23  glen
- rel 3 (libmysqlclient_15)

Revision 1.47  2005/10/27 17:48:42  arekm
- rel 2

Revision 1.46  2005/10/22 13:54:52  glen
- back to 3.0002 (non-developer release)

Revision 1.45  2005/10/22 10:43:00  glen
- update to 3.0002_1 from DEVEL

Revision 1.44.2.6  2005/10/22 10:41:49  glen
- cosmetics

Revision 1.44.2.5  2005/08/09 07:48:25  glen
- use pure_install target to prevent perlocal.pod being created (from ExtUtils::MakeMaker manual)

Revision 1.44.2.4  2005/08/09 07:41:37  glen
- remove Bundle earlier, so it won't be included in Makefile at all

Revision 1.44.2.3  2005/08/09 07:31:55  glen
- 3.0002_1
- remove unpackaged files

Revision 1.44.2.2  2005/07/13 07:46:12  glen
- 3.0002

Revision 1.44.2.1  2005/07/12 16:16:24  glen
- 3.0001

Revision 1.44  2005/06/14 06:48:59  petec
- up to 2.9008

Revision 1.43  2005/02/14 20:09:17  arekm
- rel++

Revision 1.42  2004/12/02 13:04:13  glen
- Obsolete another variant of DBD::mysql (FC2)

Revision 1.41  2004/12/01 10:46:11  radek
- standarized Source0 URL

Revision 1.40  2004/11/03 22:30:15  paladine
- formatting

Revision 1.39  2004/11/01 05:45:10  ankry
- rebuild with mysql 4.1.7, rel. 2

Revision 1.38  2004/10/28 12:22:22  paladine
- "MySQL" unification

Revision 1.37  2004/08/11 18:57:09  adamg
- well, ankry was right about license, fixed what I broke

Revision 1.36  2004/08/08 17:53:40  adamg
- updated to 2.9004
- fixed License
- URL added

Revision 1.35  2004/06/05 18:10:37  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.34  2004/06/04 13:43:32  ankry
- rebuild, rel. 4

Revision 1.33  2004/05/07 00:35:12  ankry
- rel. 3

Revision 1.32  2004/05/06 18:43:08  ankry
- fixed perl-devel BR

Revision 1.31  2004/05/05 11:02:12  ankry
- cosmetics

Revision 1.30  2004/04/20 06:15:53  ankry
- license cosmetic, unification

Revision 1.29  2004/02/25 13:30:32  averne
- rel2 for rebuild

Revision 1.28  2004/02/16 17:27:49  qboosh
- next part of locale names update for glibc 2.3.3: s/no/nb/ in rpm headers

Revision 1.27  2003/10/31 23:05:01  qboosh
- updated to 2.9003, new-style bcond

Revision 1.26  2003/10/01 22:28:56  migo
- up to 2.9002

Revision 1.25  2003/09/09 23:23:19  ankry
- rel. 3

Revision 1.24  2003/08/18 08:08:38  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.23  2003/05/28 13:00:32  malekith
- massive attack: source-md5

Revision 1.22  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.21  2003/04/20 22:41:28  ankry
- merged translations from RH

Revision 1.20  2003/04/20 19:43:03  ankry
- added obsolete for RH package

Revision 1.19  2003/03/13 00:02:00  ankry
- merge from RA-branch: updated to 2.1026

Revision 1.18  2003/03/01 18:05:01  radek
- should be ready for perl-5.8.0; release++

Revision 1.17  2003/02/25 00:38:30  radek
- use the __perl macro

Revision 1.16  2003/02/18 15:30:39  ankry
- massive attack: change CPAN URLs

Revision 1.15  2003/02/13 13:25:38  mis
- autoupdated to 2.1025

Revision 1.14  2003/02/05 16:17:59  ankry
- autoupdated to 2.1024

Revision 1.13  2003/01/07 13:47:46  mis
- autoupdated to 2.1022

Revision 1.12  2002/10/28 15:42:36  ankry
- version 2.1020

Revision 1.11  2002/09/26 15:03:03  ankry
- version 2.1019, release 1
- added tests on bcond (disbled by default)

Revision 1.10  2002/08/18 12:05:31  blues
- release 4 - license fix; STBR

Revision 1.9  2002/07/23 08:56:47  ankry
- Obsoletes: perl-Msql-Mysql-modules
- release 3

Revision 1.8  2002/07/15 14:54:30  ankry
- merged translations from RH
- new %doc
- release 2

Revision 1.7  2002/05/11 21:28:54  kloczek
- merge translations from KSI.

Revision 1.6  2002/05/11 21:12:46  areq
- -2.1017, STBR

Revision 1.5  2002/05/11 14:28:06  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.4  2002/04/03 09:14:17  qboosh
- fixed file list, removed Bundle; release 2

Revision 1.3  2002/04/02 18:19:43  kloczek
- spec adapterized.
